• トップ
  • リリース
  • システム連携プラットフォーム「Magic xpi」IoT標準技術をサポートした新バージョンを発表

プレスリリース

  • 記事画像1

マジックソフトウェア・ジャパン株式会社

システム連携プラットフォーム「Magic xpi」IoT標準技術をサポートした新バージョンを発表

(@Press) 2017年04月14日(金)12時45分配信 @Press

エンタープライズ・アプリケーションプラットフォームとビジネス・インテグレーション基盤のグローバルプロバイダーであるマジックソフトウェア・ジャパン株式会社(東京都新宿区 代表取締役社長:佐藤敏雄、以下マジックソフトウェア)は、同社が開発・提供するシステム連携プラットフォーム「Magic xpi integration Platform」(以下、Magic xpi)の新バージョン、Magic xpi 4.6を2017年5月中旬より販売開始予定であることを発表します。

このたびリリースされる最新バージョンのMagic xpi 4.6では、IoTやWeb関連の標準技術のサポート拡大や、SAP S/4 HANA対応、コネクタを独自開発できるSDKの提供など、多くの機能拡張がなされています。

併せて、従来の買取り型の価格モデルに加え、月額/年額ベースでのサブスクリプション・ライセンスモデルも提供を開始します。


■ Magicxpi4.6の主な新機能
・ IoTデータ通信の標準プロトコルMQTTをサポート
・ データ照会・更新のためのオープンなWebプロトコル、OData(Open Data
Protocol)をサポート
・ SAP アダプタ機能拡張
- SAP S/4 HANA対応
- SAP Business One HANA対応
・ Microsoft Dynamics CRMアダプタの機能拡張
・ フィールドサービス業務支援クラウドサービス「ServiceMax」との連携アダプタ
を新規追加
・ .NETとJavaで独自のコネクタ・アダプタを開発できるSDK“コネクタビルダー”
を提供
・ WCF(Windows Communication Foundation) Client機能
・ JSONデータの編集・加工がデータマッパーで「線を引くだけ」
・ Visual Studioベースの開発環境で開発時の操作性と生産性が向上


■ ”つなぐ”技術でデジタルビジネスを加速
IoT、Fintechなどデジタルビジネスを支える様々なテクノロジーは、お互いに”つなぐ”技術に支えられています。Magic xpi 4.6はこの“つなぐ”技術をより簡単に、短期間・低コスト、かつ柔軟で迅速に実現することを強力に支援するプラットフォームです。

2017年4月25日(火)に”つなぐ”技術で実現するデジタルビジネスをテーマとしたセミナーを開催します。

▼ セミナーの詳細については以下をご参照下さい。
https://www.magicsoftware.com/ja/magic-xpi46-launch



■ 【MagicxpiIntegrationPlatformについて】
複雑なプログラミングをすることなくドラッグ&ドロップで開発できるビジュアルな開発環境と、主要なアプリケーションやサービスを連携できる100以上のアダプタ、コネクタ群を提供しているシステム連携ソリューションです。


■ 【マジックソフトウェア・ジャパンについて】
http://www.magicsoftware.com/ja
イスラエル本社を中心に、全世界50カ国以上のビジネスネットを持つマジックソフトウェア・エンタープライゼス(NASDAQ:MGIC)の100%出資による日本法人です。ビジネス・アプリケーション開発・実行フレームワーク「Magic xpa」と、サービス指向のシステム連携プラットフォーム「Magic xpi」の開発・販売を核に、さまざまなソリューションとサービスの提供を行っています。
現在、東京(本社)、札幌、仙台、信越、名古屋、大阪、岡山、 広島、福岡の全国主要9都市に拠点を構え、全国800社以上のパートナーを通じて製品を販売し、サポートおよびコンサルティング・サービスの提供を行っています。

本社所在地:東京都新宿区北新宿二丁目21番1号 新宿フロントタワー24階
代 表 :代表取締役社長 佐藤 敏雄
事業内容 :開発ツール分野:Magic xpa、および関連製品の仕入/製造、販売業務 連携ツール分野:Magic xpiの仕入/製造、販売業務
プロフェッショナルサービス:ツール製品の教育、サポート業務 他


プレスリリース提供元:@Press

推奨環境(ブラウザーのバージョン)
Microsoft Internet Explorer 6.0以降、Mozilla Firefox 2.0以降、Apple Safari 3.1以降
「スケジュール調整機能」は、Internet Explorer 6.0以降でのみ動作します。
環境依存文字については、正しくご利用いただけない場合がございます。

このページの先頭へ戻る